Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 455516 - sys-fs/gfs2-utils with sys-kernel/hardened-sources-3.7.3 - In file included from conftest.c:84: /usr/src/linux/include/linux/types.h:14:26: error: conflicting types for 'fd_set'
Summary: sys-fs/gfs2-utils with sys-kernel/hardened-sources-3.7.3 - In file included f...
Status: RESOLVED FIXED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: [OLD] Core system (show other bugs)
Hardware: All Linux
: Normal normal (vote)
Assignee: Gentoo Cluster Team
URL:
Whiteboard:
Keywords:
Depends on: 460484
Blocks:
  Show dependency tree
 
Reported: 2013-02-04 21:35 UTC by renesanso
Modified: 2015-05-10 14:47 UTC (History)
2 users (show)

See Also:
Package list:
Runtime testing required: ---


Attachments
config.log (t3.log,52.55 KB, text/plain)
2013-02-06 12:34 UTC, renesanso
Details
3.1.5 log (t4.log,45.50 KB, text/plain)
2013-02-07 14:07 UTC, renesanso
Details

Note You need to log in before you can comment on or make changes to this bug.
Description renesanso 2013-02-04 21:35:54 UTC
Failed to build sys-fs/gfs2-utils with /usr/src/linux, compiled ok without it.

Reproducible: Always

Steps to Reproduce:
1. emerge sys-fs/gfs2-utils ; #with  /usr/src/linux and see errors
2. rm  /usr/src/linux  && emerge sys-fs/gfs2-utils ; #compiled ok





emerge --info
--- Invalid atom in /etc/portage/package.use: www-client/aurora-9999-r9999
FEATURES variable contains unknown value(s): preserved-rebuild
Portage 2.1.11.50 (hardened/linux/amd64, gcc-4.6.3, glibc-2.16.0, 3.7.3-hardened x86_64)
=================================================================
System uname: Linux-3.7.3-hardened-x86_64-Intel-R-_Core-TM-_i7_CPU_950_@_3.07GHz-with-gentoo-2.2
KiB Mem:    24684008 total,    841284 free
KiB Swap:    3670012 total,   3669996 free
Timestamp of tree: Mon, 04 Feb 2013 11:45:01 +0000
ld GNU ld (GNU Binutils) 2.23.1
app-shells/bash:          4.2_p42
dev-java/java-config:     2.1.12-r1
dev-lang/python:          2.5.4-r5, 2.6.8-r1, 2.7.3-r3, 3.2.3-r2
dev-util/cmake:           2.8.10.2-r1
dev-util/pkgconfig:       0.28
sys-apps/baselayout:      2.2
sys-apps/openrc:          0.11.8
sys-apps/sandbox:         2.6
sys-devel/autoconf:       2.13, 2.69
sys-devel/automake:       1.9.6-r3, 1.10.3, 1.11.6, 1.12.6, 1.13.1
sys-devel/binutils:       2.23.1
sys-devel/gcc:            4.5.4, 4.6.3
sys-devel/gcc-config:     1.8
sys-devel/libtool:        2.4.2
sys-devel/make:           3.82-r4
sys-kernel/linux-headers: 3.7 (virtual/os-headers)
sys-libs/glibc:           2.16.0
Repositories: mate-overlay stuff pinkbyte mozilla desktop-effects sunrise init6 hardened-dev ROKO__ raw x-my gentoo
ACCEPT_KEYWORDS="amd64 ~amd64"
ACCEPT_LICENSE="* -@EULA"
CBUILD="x86_64-pc-linux-gnu"
CFLAGS="-march=x86-64 -O2 -pipe"
CHOST="x86_64-pc-linux-gnu"
CONFIG_PROTECT="/etc /usr/share/config /usr/share/gnupg/qualified.txt /usr/share/polkit-1/actions"
CONFIG_PROTECT_MASK="/etc/ca-certificates.conf /etc/dconf /etc/env.d /etc/fonts/fonts.conf /etc/gconf /etc/gentoo-release /etc/mateconf /etc/revdep-rebuild /etc/sandbox.d /etc/splash /etc/terminfo /etc/texmf/language.dat.d /etc/texmf/language.def.d /etc/texmf/updmap.d /etc/texmf/web2c"
CXXFLAGS="-march=x86-64 -O2 -pipe"
DISTDIR="/usr/portage/distfiles"
FCFLAGS="-O2 -pipe"
FEATURES="assume-digests binpkg-logs config-protect-if-modified distlocks ebuild-locks fixlafiles merge-sync metadata-transfer news parallel-fetch preserve-libs preserved-rebuild sandbox sfperms strict unknown-features-warn unmerge-logs unmerge-orphans userfetch webrsync-gpg xattr"
FFLAGS="-O2 -pipe"
GENTOO_MIRRORS="http://distfiles.gentoo.org"
LANG="ru_RU.UTF-8"
LC_ALL="en_US.UTF-8"
LDFLAGS="-Wl,-O1 -Wl,--as-needed"
MAKEOPTS="-j5"
PKGDIR="/usr/portage/packages"
PORTAGE_CONFIGROOT="/"
PORTAGE_RSYNC_OPTS="--recursive --links --safe-links --perms --times --compress --force --whole-file --delete --stats --human-readable --timeout=180 --exclude=/distfiles --exclude=/local --exclude=/packages --timeout=30"
PORTAGE_TMPDIR="/var/tmp"
PORTDIR="/usr/portage"
PORTDIR_OVERLAY="/var/lib/layman/mate /var/lib/layman/stuff /var/lib/layman/pinkbyte /var/lib/layman/mozilla /var/lib/layman/desktop-effects /var/lib/layman/sunrise /var/lib/layman/init6 /var/lib/layman/hardened-development /var/lib/layman/ROKO__ /var/lib/layman/raw /usr/local/portage/my /usr/portage"
SYNC="rsync://rsync.us.gentoo.org/gentoo-portage"
USE="# X a52 aac aalib acl acpi adplug alsa amd64 amr apache2 bash-completion berkdb bl bluetooth bluray bs2b btrfs bzip2 cairo caps cd cdb cdda cddb cdparanoia cdr cli cpudetection cracklib crypt css cue cups curl custom-optimization cxx dc1394 dga dhcp dia dirac djvu dmraid drawing dri dts dv dvb dvd dvdr en encode equalizer examples faac faad fam fat fbcon ffmpeg flac fluidsynth fontconfig foomaticdb ftp fuse gallium gconf gd gdbm ggi gif gimp glib glut gme gmp gnome gnutls gphoto2 gpm gsm gstreamer gtk gtkstyle gzip hardened hfs iconv id3tag ieee1394 imagemagick imlib irda jfs jit joystick jpeg jpeg2k justify kate kde ladspa lame latex libass libcaca libmpeg2 libproxy libsamplerate libv4l libv4l2 lm_sensors lzma lzo mad maildir mailwrapper mate matroska mbox md5sum mdadm midi mjpeg mms mmx mmxext mng modplug modules mp3 mpeg mpg123 mplayer mtp mudflap multilib musepack nautilus ncurses nls nptl nsplugin ntfs nut offensive ogg openal opengl openmp optimisememory optimization oss pam pax_kernel pcmcia pcre pdf pic plasma plotutils png pnm policykit postproc pulseaudio pvr qt qt3 qt3support qt4 quicktime radio rar raw rdesktop readline realtime reiser4 reiserfs remoteosd rss rtmp rtsp ru sasl scanner schroedinger sdl sdl-image session shine shout sid skins slp smp sndfile sound source sox speex spell sqlite sse sse2 sse3 ssl ssse3 stest stream svg symlink szip taglib tcpd telext test-programs tga threads tiff tk tools tray truetype twolame udev unicode unrar urandom usb utf8 v4l v4l2 vaapi vcd vcdx videos vlm vnc vorbis vpx w32codecs wavpack wifi wma wma-fixed x264 xanim xattr xcb xcomposite xfs xinerama xml xosd xpm xscreensaver xv xvid zlib zoran zsh-completion zvbi" ABI_X86="64" ALSA_CARDS="hda-intel usb-audio" ALSA_PCM_PLUGINS="adpcm alaw asym copy dmix dshare dsnoop empty extplug file hooks iec958 ioplug ladspa lfloat linear meter mmap_emul mulaw multi null plug rate route share shm softvol" APACHE2_MODULES="authn_core authz_core socache_shmcb unixd actions alias auth_basic authn_alias authn_anon authn_dbm authn_default authn_file authz_dbm authz_default authz_groupfile authz_host authz_owner authz_user autoindex cache cgi cgid dav dav_fs dav_lock deflate dir disk_cache env expires ext_filter file_cache filter headers include info log_config logio mem_cache mime mime_magic negotiation rewrite setenvif speling status unique_id userdir usertrack vhost_alias" CALLIGRA_FEATURES="kexi words flow plan sheets stage tables krita karbon braindump" CAMERAS="*" COLLECTD_PLUGINS="df interface irq load memory rrdtool swap syslog" CURL_SSL="openssl" DRACUT_MODULES="bootchart crypt crypt-gpg crypt-loop lvm ssh-client syslog" ELIBC="glibc" GPSD_PROTOCOLS="ashtech aivdm earthmate evermore fv18 garmin garmintxt gpsclock itrax mtk3301 nmea ntrip navcom oceanserver oldstyle oncore rtcm104v2 rtcm104v3 sirf superstar2 timing tsip tripmate tnt ubx" INPUT_DEVICES="keyboard mouse evdev" KERNEL="linux" LCD_DEVICES="bayrad cfontz cfontz633 glk hd44780 lb216 lcdm001 mtxorb ncurses text" LIBREOFFICE_EXTENSIONS="presenter-console presenter-minimizer" LINGUAS="ru en" PHP_TARGETS="php5-3" PYTHON_SINGLE_TARGET="python2_7" PYTHON_TARGETS="python2_7 python3_2" QEMU_SOFTMMU_TARGETS="i386 x86_64" QEMU_USER_TARGETS="i386 x86_64" RUBY_TARGETS="ruby18 ruby19" USERLAND="GNU" VIDEO_CARDS="vesa fbdev sisusb dummy radeon nouveau i915 i965 intel r100 r200 r300 r600 radeonsi vmware" XTABLES_ADDONS="quota2 psd pknock lscan length2 ipv4options ipset ipp2p iface geoip fuzzy condition tee tarpit sysrq steal rawnat logmark ipmark dhcpmac delude chaos account"
Unset:  CPPFLAGS, CTARGET, EMERGE_DEFAULT_OPTS, INSTALL_MASK, PORTAGE_BUNZIP2_COMMAND, PORTAGE_COMPRESS, PORTAGE_COMPRESS_FLAGS, PORTAGE_RSYNC_EXTRA_OPTS, USE_PYTHON
Comment 1 renesanso 2013-02-04 21:36:01 UTC
emerge -vq1  sys-fs/gfs2-utils
--- Invalid atom in /etc/portage/package.use: www-client/aurora-9999-r9999
FEATURES variable contains unknown value(s): preserved-rebuild

 * IMPORTANT: 9 news items need reading for repository 'gentoo'.
 * Use eselect news to read news items.

 * waiting for lock on /var/db/.pkg.portage_lockfile
 ...                                                                                                                                                                             [ ok ]
>>> Verifying ebuild manifests
>>> Emerging (1 of 1) sys-fs/gfs2-utils-3.1.2
>>> Failed to emerge sys-fs/gfs2-utils-3.1.2, Log file:
>>>  '/var/tmp/portage/sys-fs/gfs2-utils-3.1.2/temp/build.log'
>>> Jobs: 0 of 1 complete, 1 failed                 Load avg: 1.15, 1.73, 1.82
 * Package:    sys-fs/gfs2-utils-3.1.2
 * Repository: gentoo
 * Maintainer: cluster@gentoo.org
 * USE:        abi_x86_64 amd64 elibc_glibc kernel_linux multilib userland_GNU
 * FEATURES:   preserve-libs sandbox
 * Determining the location of the kernel source code
 * Found kernel source directory:
 *     /usr/src/linux
 * Found sources for kernel version:
 *     3.7.3-hardened
 * Running eautoreconf in '/var/tmp/portage/sys-fs/gfs2-utils-3.1.2/work/gfs2-utils' ...
 * Running autopoint --force ...
 [ ok ]
 * Running libtoolize --install --copy --force --automake ...
 [ ok ]
 * Running aclocal -I m4 ...
 [ ok ]
 * Running autoconf ...
 [ ok ]
 * Running autoheader ...
 [ ok ]
 * Running automake --add-missing --copy --foreign ...
 [ ok ]
 * Running elibtoolize in: gfs2-utils/
 *   Applying portage/1.2.0 patch ...
 *   Applying sed/1.5.6 patch ...
 *   Applying as-needed/2.4.2 patch ...
configure: loading site script /usr/share/config.site
checking for a BSD-compatible install... /usr/bin/install -c
checking whether build environment is sane... yes
checking for a thread-safe mkdir -p... /bin/mkdir -p
checking for gawk... gawk
checking whether make sets $(MAKE)... yes
checking build system type... x86_64-pc-linux-gnu
checking host system type... x86_64-pc-linux-gnu
checking how to print strings... printf
checking for style of include used by make... GNU
checking for x86_64-pc-linux-gnu-gcc... x86_64-pc-linux-gnu-gcc
checking whether the C compiler works... yes
checking for C compiler default output file name... a.out
checking for suffix of executables... 
checking whether we are cross compiling... no
checking for suffix of object files... o
checking whether we are using the GNU C compiler... yes
checking whether x86_64-pc-linux-gnu-gcc accepts -g... yes
checking for x86_64-pc-linux-gnu-gcc option to accept ISO C89... none needed
checking dependency style of x86_64-pc-linux-gnu-gcc... none
checking for a sed that does not truncate output... /bin/sed
checking for grep that handles long lines and -e... /bin/grep
checking for egrep... /bin/grep -E
checking for fgrep... /bin/grep -F
checking for ld used by x86_64-pc-linux-gnu-gcc... /usr/x86_64-pc-linux-gnu/bin/ld
checking if the linker (/usr/x86_64-pc-linux-gnu/bin/ld) is GNU ld... yes
checking for BSD- or MS-compatible name lister (nm)... /usr/bin/nm -B
checking the name lister (/usr/bin/nm -B) interface... BSD nm
checking whether ln -s works... yes
checking the maximum length of command line arguments... 1572864
checking whether the shell understands some XSI constructs... yes
checking whether the shell understands "+="... yes
checking how to convert x86_64-pc-linux-gnu file names to x86_64-pc-linux-gnu format... func_convert_file_noop
checking how to convert x86_64-pc-linux-gnu file names to toolchain format... func_convert_file_noop
checking for /usr/x86_64-pc-linux-gnu/bin/ld option to reload object files... -r
checking for x86_64-pc-linux-gnu-objdump... x86_64-pc-linux-gnu-objdump
checking how to recognize dependent libraries... pass_all
checking for x86_64-pc-linux-gnu-dlltool... no
checking for dlltool... no
checking how to associate runtime and link libraries... printf %s\n
checking for x86_64-pc-linux-gnu-ar... x86_64-pc-linux-gnu-ar
checking for archiver @FILE support... @
checking for x86_64-pc-linux-gnu-strip... x86_64-pc-linux-gnu-strip
checking for x86_64-pc-linux-gnu-ranlib... x86_64-pc-linux-gnu-ranlib
checking command to parse /usr/bin/nm -B output from x86_64-pc-linux-gnu-gcc object... ok
checking for sysroot... no
checking for x86_64-pc-linux-gnu-mt... no
checking for mt... no
checking if : is a manifest tool... no
checking how to run the C preprocessor... x86_64-pc-linux-gnu-gcc -E
checking for ANSI C header files... yes
checking for sys/types.h... yes
checking for sys/stat.h... yes
checking for stdlib.h... yes
checking for string.h... yes
checking for memory.h... yes
checking for strings.h... yes
checking for inttypes.h... yes
checking for stdint.h... yes
checking for unistd.h... yes
checking for dlfcn.h... yes
checking for objdir... .libs
checking if x86_64-pc-linux-gnu-gcc supports -fno-rtti -fno-exceptions... no
checking for x86_64-pc-linux-gnu-gcc option to produce PIC... -fPIC -DPIC
checking if x86_64-pc-linux-gnu-gcc PIC flag -fPIC -DPIC works... yes
checking if x86_64-pc-linux-gnu-gcc static flag -static works... yes
checking if x86_64-pc-linux-gnu-gcc supports -c -o file.o... yes
checking if x86_64-pc-linux-gnu-gcc supports -c -o file.o... (cached) yes
checking whether the x86_64-pc-linux-gnu-gcc linker (/usr/x86_64-pc-linux-gnu/bin/ld -m elf_x86_64) supports shared libraries... yes
checking whether -lc should be explicitly linked in... no
checking dynamic linker characteristics... GNU/Linux ld.so
checking how to hardcode library paths into programs... immediate
checking whether stripping libraries is possible... yes
checking if libtool supports shared libraries... yes
checking whether to build shared libraries... yes
checking whether to build static libraries... yes
checking whether NLS is requested... yes
checking for msgfmt... /usr/bin/msgfmt
checking for gmsgfmt... /usr/bin/gmsgfmt
checking for xgettext... /usr/bin/xgettext
checking for msgmerge... /usr/bin/msgmerge
checking for ld used by GCC... /usr/x86_64-pc-linux-gnu/bin/ld -m elf_x86_64
checking if the linker (/usr/x86_64-pc-linux-gnu/bin/ld -m elf_x86_64) is GNU ld... yes
checking for shared library run path origin... done
checking for CFPreferencesCopyAppValue... no
checking for CFLocaleCopyCurrent... no
checking for GNU gettext in libc... yes
checking whether to use NLS... yes
checking where the gettext function comes from... libc
checking for x86_64-pc-linux-gnu-gcc... (cached) x86_64-pc-linux-gnu-gcc
checking whether we are using the GNU C compiler... (cached) yes
checking whether x86_64-pc-linux-gnu-gcc accepts -g... (cached) yes
checking for x86_64-pc-linux-gnu-gcc option to accept ISO C89... (cached) none needed
checking dependency style of x86_64-pc-linux-gnu-gcc... (cached) none
checking whether x86_64-pc-linux-gnu-gcc and cc understand -c and -o together... yes
checking whether ln -s works... yes
checking whether make sets $(MAKE)... (cached) yes
checking for x86_64-pc-linux-gnu-pkg-config... /usr/bin/x86_64-pc-linux-gnu-pkg-config
checking pkg-config is at least version 0.9.0... yes
checking for corosync... yes
checking for cpg... yes
checking for sackpt... yes
checking for logt... yes
checking for ccs... yes
checking for cfg... yes
checking for fenced... yes
checking for dlmcontrol... yes
checking for quorum... yes
checking for zlib... yes
checking for ncurses... yes
checking for pthread_mutex_lock in -lpthread... yes
checking arpa/inet.h usability... yes
checking arpa/inet.h presence... yes
checking for arpa/inet.h... yes
checking fcntl.h usability... yes
checking fcntl.h presence... yes
checking for fcntl.h... yes
checking for inttypes.h... (cached) yes
checking libintl.h usability... yes
checking libintl.h presence... yes
checking for libintl.h... yes
checking limits.h usability... yes
checking limits.h presence... yes
checking for limits.h... yes
checking locale.h usability... yes
checking locale.h presence... yes
checking for locale.h... yes
checking mntent.h usability... yes
checking mntent.h presence... yes
checking for mntent.h... yes
checking netdb.h usability... yes
checking netdb.h presence... yes
checking for netdb.h... yes
checking netinet/in.h usability... yes
checking netinet/in.h presence... yes
checking for netinet/in.h... yes
checking stddef.h usability... yes
checking stddef.h presence... yes
checking for stddef.h... yes
checking for stdint.h... (cached) yes
checking for stdlib.h... (cached) yes
checking for string.h... (cached) yes
checking sys/file.h usability... yes
checking sys/file.h presence... yes
checking for sys/file.h... yes
checking sys/ioctl.h usability... yes
checking sys/ioctl.h presence... yes
checking for sys/ioctl.h... yes
checking sys/mount.h usability... yes
checking sys/mount.h presence... yes
checking for sys/mount.h... yes
checking sys/param.h usability... yes
checking sys/param.h presence... yes
checking for sys/param.h... yes
checking sys/socket.h usability... yes
checking sys/socket.h presence... yes
checking for sys/socket.h... yes
checking sys/time.h usability... yes
checking sys/time.h presence... yes
checking for sys/time.h... yes
checking sys/vfs.h usability... yes
checking sys/vfs.h presence... yes
checking for sys/vfs.h... yes
checking syslog.h usability... yes
checking syslog.h presence... yes
checking for syslog.h... yes
checking termios.h usability... yes
checking termios.h presence... yes
checking for termios.h... yes
checking for unistd.h... (cached) yes
checking linux/dlmconstants.h usability... yes
checking linux/dlmconstants.h presence... yes
checking for linux/dlmconstants.h... yes
checking linux/dlm_plock.h usability... no
checking linux/dlm_plock.h presence... yes
configure: WARNING: linux/dlm_plock.h: present but cannot be compiled
configure: WARNING: linux/dlm_plock.h:     check for missing prerequisite headers?
configure: WARNING: linux/dlm_plock.h: see the Autoconf documentation
configure: WARNING: linux/dlm_plock.h:     section "Present But Cannot Be Compiled"
configure: WARNING: linux/dlm_plock.h: proceeding with the compiler's result
configure: WARNING:     ## --------------------------------------- ##
configure: WARNING:     ## Report this to linux-cluster@redhat.com ##
configure: WARNING:     ## --------------------------------------- ##
checking for linux/dlm_plock.h... no
configure: error: Unable to find required kernel headers.
Make sure to install kernel headers 2.6.26 (or higher) or use --with-kernel=path
configure option to point to the kernel source.

!!! Please attach the following file when seeking support:
!!! /var/tmp/portage/sys-fs/gfs2-utils-3.1.2/work/gfs2-utils/config.log
 * ERROR: sys-fs/gfs2-utils-3.1.2 failed (configure phase):
 *   econf failed
 * 
 * Call stack:
 *          ebuild.sh, line   93:  Called src_configure
 *        environment, line 3556:  Called econf '--disable-debug' '--with-kernel=/usr/src/linux' '--localstatedir=/var'
 *   phase-helpers.sh, line  511:  Called die
 * The specific snippet of code:
 *                      die "econf failed"
 * 
 * If you need support, post the output of `emerge --info '=sys-fs/gfs2-utils-3.1.2'`,
 * the complete build log and the output of `emerge -pqv '=sys-fs/gfs2-utils-3.1.2'`.
 * The complete build log is located at '/var/tmp/portage/sys-fs/gfs2-utils-3.1.2/temp/build.log'.
 * The ebuild environment file is located at '/var/tmp/portage/sys-fs/gfs2-utils-3.1.2/temp/environment'.
 * Working directory: '/var/tmp/portage/sys-fs/gfs2-utils-3.1.2/work/gfs2-utils'
 * S: '/var/tmp/portage/sys-fs/gfs2-utils-3.1.2/work/gfs2-utils'
Comment 2 renesanso 2013-02-05 04:47:21 UTC
I have problems with incompatibility of gcc version, that compiled kernel (4.5), and gcc version, that compiled app (ebuild). Now I use the same version, but problem still there (not fixed).
Comment 3 Jeroen Roovers gentoo-dev 2013-02-05 12:37:17 UTC
Please attach this file to this bug report:

!!! Please attach the following file when seeking support:
!!! /var/tmp/portage/sys-fs/gfs2-utils-3.1.2/work/gfs2-utils/config.log
Comment 4 renesanso 2013-02-06 12:34:20 UTC
Created attachment 338072 [details]
config.log
Comment 5 renesanso 2013-02-06 12:34:41 UTC
Attached.
Comment 6 Tom Wijsman (TomWij) (RETIRED) gentoo-dev 2013-02-06 13:27:04 UTC
> compiled kernel (4.5)

There is no such kernel version, please provide us the output of `ls -la /usr/src/linux`.
Comment 7 Jeroen Roovers gentoo-dev 2013-02-06 13:48:44 UTC
(In reply to comment #6)
> > compiled kernel (4.5)

That's the GCC version.
Comment 8 renesanso 2013-02-07 14:07:44 UTC
Created attachment 338232 [details]
3.1.5 log
Comment 9 renesanso 2013-02-07 14:14:51 UTC
Ebuild need updates. Only version from git ( http://git.fedorahosted.org/cgit/gfs2-utils.git/snapshot/gfs2-utils-e6100419b58041b85463a76283451ebce6041707.tar.bz2 ) can be compiled on newest kernel ( my is  3.7.3-hardened ) . But 3.1.2 gfs2-utils in portage main tree is complitely old, because stable release now is 3.1.5 ( http://git.fedorahosted.org/cgit/gfs2-utils.git/ ) (not compiled on 3.7.3 kernel, see attached log).

Please, update it!!!

For newest kernel git-version is needed. git://git.fedorahosted.org/gfs2-utils.git 
Please, add it as -9999!!!

Please, if you have time and maintain cluster ebuilds in gentoo, check newer releases for other tools.  

Ebuild, that compiled ok.

# Copyright 1999-2012 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Header: /var/cvsroot/gentoo-x86/sys-fs/gfs2-utils/gfs2-utils-3.1.2.ebuild,v 1.2 2012/05/04 19:09:18 jdhore Exp $

EAPI=4

inherit autotools linux-info

DESCRIPTION="GFS2 Utilities"
HOMEPAGE="https://fedorahosted.org/cluster/wiki/HomePage"
SRC_URI="http://git.fedorahosted.org/cgit/gfs2-utils.git/snapshot/gfs2-utils-e6100419b58041b85463a76283451ebce6041707.tar.bz2"

LICENSE="GPL-2"
SLOT="0"
KEYWORDS="~amd64 ~x86"
IUSE="debug"

RDEPEND="sys-cluster/corosync
        sys-cluster/openais
        sys-cluster/liblogthread
        sys-cluster/libccs
        sys-cluster/libfence
        sys-cluster/libdlm
        sys-libs/ncurses"
DEPEND="${RDEPEND}
        virtual/pkgconfig"

S="${WORKDIR}/gfs2-utils-e6100419b58041b85463a76283451ebce6041707"

src_prepare() {
        mkdir m4
        eautoreconf
}

src_configure() {
        econf \
                $(use_enable debug) \
                --with-kernel="${KERNEL_DIR}" \
                --localstatedir=/var
}

src_install() {
        default
        rm -rf "${D}/usr/share/doc"
        dodoc doc/*.txt

        rmdir "${D}"/var/run/{cluster,} # cman-init.d creates it

        keepdir /var/{lib,log}/cluster
}
Comment 10 renesanso 2013-02-08 16:35:19 UTC
Up.
Comment 11 Sergey Popov gentoo-dev Security 2013-03-21 06:42:19 UTC
Please check with sys-fs/gfs2-utils-3.1.3
Comment 12 Tiziano Müller gentoo-dev 2013-04-08 15:21:35 UTC
Confirmed here with gentoo-sources-3.8.1, linux-headers-3.[67].0, glibc-2.15-r3 and gfs2-utils-3.1.3
Comment 13 Anthony Basile gentoo-dev 2015-05-10 14:47:11 UTC
(In reply to Tiziano Müller from comment #12)
> Confirmed here with gentoo-sources-3.8.1, linux-headers-3.[67].0,
> glibc-2.15-r3 and gfs2-utils-3.1.3

I think this should have been closed.